[Документация Yandex Cloud](../../../index.md) > [Yandex Managed Service for Sharded PostgreSQL](../../index.md) > Справочник API > [REST (англ.)](../index.md) > [ResourcePreset](index.md) > Get

# Managed Service for SPQR API, REST: ResourcePreset.Get

Returns the specified ResourcePreset resource.
To get the list of available ResourcePreset resources, make a [List](list.md#List) request.

## HTTP request

```
GET https://mdb.api.yandexcloud.kz/managed-spqr/v1/resourcePresets/{resourcePresetId}
```

## Path parameters

#|
||Field | Description ||
|| resourcePresetId | **string**

Required field. ID of the resource preset to return.
To get the resource preset ID, use a [ResourcePresetService.List](list.md#List) request. ||
|#

## Response {#yandex.cloud.mdb.spqr.v1.ResourcePreset}

**HTTP Code: 200 - OK**

```json
{
  "id": "string",
  "zoneIds": [
    "string"
  ],
  "cores": "string",
  "memory": "string"
}
```

A ResourcePreset resource for describing hardware configuration presets.

#|
||Field | Description ||
|| id | **string**

ID of the ResourcePreset resource. ||
|| zoneIds[] | **string**

IDs of availability zones where the resource preset is available. ||
|| cores | **string** (int64)

Number of CPU cores for a SPQR host created with the preset. ||
|| memory | **string** (int64)

RAM volume for a SPQR host created with the preset, in bytes. ||
|#